body {
    height: 100vh;
    width: 100%;
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
}


.mane-login {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    /*
    background-color: aqua;
    -- колір для перевірки розміщення об'єктів*/
}

.section-logo, .section-form {
    width: 49%;
    
}

.section-logo {
    display: flex;
    justify-content: center;
}

.logo {
    padding-bottom: 25%;
}

.section-border {
    padding-left: 4px;
    height: 822px;
    background-color: #FFA500;
    margin-top: 2%;
    margin-bottom: 2%;

}

.section-form {
    display: flex;
    justify-content: center;
}

.form-login {
    margin-top: 40%;
    width: 75%;
    margin-left: 9%;
}

.form-item {
    display: flex;
    flex-direction: column;
}


.label {
    color: #969697;
    font-weight: 400;
    font-size: 1.75em;
    padding-bottom: 0.2em;
    text-transform: capitalize;
}

.input {
    border: 1px solid #707070;
    width: 72%;
    height: 3em;
    font-weight: 700;
    font-size: 1.2em;
    padding-left: 1em;
    color: black;
    
}


.form-btn {
    display: flex;
    flex-direction: row;
    justify-content: end;
}

.btn-input {
    width: 10em;
    height: 3em;
    background-color: #00BFFF;
    border-radius: 6px;
    font-weight: 700;
    font-size: 1.2em;
    text-align: center;
    border: 0;
    margin-top: 3em;
   
}

.forgot {
    text-decoration: none;
    font-size: 1.1em;
    color: #707070;
    margin-top: 7em;
    margin-right: 2em;
}

/* Сторінка юзерс*/

.header {
    width: 97%;
    display: flex;
    flex-direction: row;
}

.block-logo {
    width: 25%;
    height: 5.2em;
    background-color: white;
    border-radius: 0 50px 50px 0;
    box-shadow: 3px 2px 3px rgba(0, 0, 0, 0.2);
    border: 1px solid grey;
    position: relative;
    left: 2.7em;
}

.menu-header {
    width: 99%;
    height: 5em;
    background-color: #155767;
    border: 1px solid grey;
    box-shadow: 4px 2px 10px rgba(0, 0, 0, 0.5);
    

}

.ul-header {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    list-style: none;
    justify-content: space-around;
    margin-left: 40%;
    margin-bottom: 0;
    margin-top: 0;
}

.icon-header-2 {
    height: 3em;
    margin-top: 10px;
}


.li-header a {
    text-decoration: none;
    color: white;
    font-size: 1.3em;
}

.li-header-3 {
    display: inline-block;
    position: relative;
    bottom: 1.2em;
    left: 0.3em;
}

/*Відстань між блоками та самі блоки*/

.configuration {
    height: 5em;
    display: flex;
    flex-direction: row;
    justify-content: end;
    margin-right: 3em;
}


.section {
    display: flex;
    flex-direction: row;
}


.aside {
    border: 1px solid gray;
    border-right: none;
    width: 18%;
    height: 87vh;
    margin-left: 2.8em;

}


.mane {
    border: 1px solid gray;
    width: 76%;
    height: 87vh;
}

.signature {
    color: #707070;
    text-transform: uppercase;
    margin-left: 10em;
    font-size: 1em;
}

/*Картка Юзера та загальні стилі для інших карток*/

.users-information {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;

}

.users-information figure {
    display: flex;
    flex-direction: row;
    justify-content: baseline;

}

.figcaption {
    color: #969697;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.5em;
    padding-left: 0.2em;
    white-space: nowrap;
}

.users-information p {
    margin-left: 6%;
}

.btn-operator {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.btn-operator-grey {
    background-color: #707070;
    border: 1px solid gray;
    padding: 1.2em;
    padding-left: 1em;
    padding-top: 1.3em;
    padding-bottom: 1.3em;
    padding-right: 1.3em;
    width: 12em;
    height: 55px;
}

.btn-operator-blue {
    background-color: #00BFFF;
    border: 1px solid gray;
    padding: 0;
    margin: 0;
    width: 18em;
    height: 55px;
}


.btn-grey {
    border: none;
    border-radius: 10px;
    background-color: #707070;
    width: 11em;
    height: 53px;
    margin-right: 2em;
}

.btn-blue {
    border: none;
    border-radius: 10px;
    background-color: #00BFFF;
    width: 11em;
    height: 53px;
    margin-right: 1.2em;

}

.btn-operator-a {
    color:#F7F7F9;
    font-weight: 700;
    font-size: 1.3em;
    text-decoration: none;
    white-space: nowrap;
    
}

.btn-operator-img {
    background-color: black;
    border: 1px solid gray;
    padding: 0.6em;
    margin-right: 0.5em;
    height: 2.1em;
}

.input-search {
    border: 1px solid gray;
    height: 58px;
    font-weight: 300;
    font-size: 1.25em;
    width: 72%;
    background-image: url(../img/Icon-search.svg);
    background-repeat: no-repeat;
    background-position: 8px 8px;
    padding-left: 4em;
    
}

.btn-input-search {
    border: 1px solid gray;
    color: #707070;
    text-align: center;
    height: 58px;
    font-weight: 300;
    font-size: 1.25em;
    padding: 0;
    margin-right: 3%;
    }
    

.form-search {
    margin-top: 7%;
    margin-left: 7%;
    width: 86%;
}


.menu-user-under-search ul {
    margin-top: 3.5em;
    display: flex;
    flex-direction: row;
    list-style: none;
    justify-content: space-around;
    font-size: 1.2em;
    color: #969697;
    margin-right: 3%;
}


/*Cторінка Add CPO*/

.ul-aside {
    list-style: none;
    margin-top: 40%;
}

.li-aside {
    font-size: 1.2em;
    font-weight: 400;
    padding-top: 30px;
}

.li-aside a {
    text-decoration: none;
    color: #000;
}

.li-aside a:hover {
    font-weight: 700;
}

.li-aside img {
    padding-right: 15px;
}

.user-registration {
    margin-top: 3%;
    margin-left: 5%;
    width: 65%;
}

.user-registration-li {
    display: flex;
    flex-direction: column;

    
}

.user-registration input {
    height: 56px;
    margin-bottom: 0.6em;
}

.ur-input, .user-input-short, .user-input {
    padding-left: 3.3em;
    font-size: 1.2em;
    font-weight: 300;
    color: #969697;
}



.li-input-short {
    list-style: none;
}

.input-short-ul {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-left: 0;
    padding-right: 0;
    
}

.short-li {
    width: 40%;
}


.user-registration-li div {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}


.user-input {
    width: 75%;
    margin-right: 0;
}

.key-blue-btn {
    margin-left: 0;
    background-color: #00BFFF;
    border: 2px solid #00BFFF;
    border-left: 8px solid #00BFFF;
    background-image: url(../img/Icon-key.svg);
    background-repeat: no-repeat;
    background-position-y: center;
    padding-left: 3em;
    width: 25%;
    font-weight: 700;
    font-size: 1.25em;
    color: white;
   
}

.label-user {
    color: #969697;
    font-size: 1.25em;
    margin-left: 1em;
    font-weight: 300;
}

/*Сторінка Сhargin Station*/


.form-search-charging {
    margin-left: 5%;
}

.form-search-charging h2 {
    margin-top: 0;
}

.select-charging {
    border: 1px solid gray;
    color: #707070;
    text-align: left;
    height: 58px;
    font-weight: 700;
    font-size: 1.2em;
    padding: 0;
    width: 25%;
    margin-right: 4%;
    appearance: none;
    overflow: hidden;
    background-image: url('../img/Icon-down.svg');
    background-repeat: no-repeat;
    background-position-y: center;
    background-position: 95%;
    padding-left: 1%;
}



.input-search-charging {
    width: 68%;
    font-weight: 700;
}

.rectangle {
    width: 95%;
    margin-left: 3%;
}

.ul-charging {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 92%;
    margin-left: 2.5%;
}

.ul-charging a {
    text-decoration: none;
    color: #A5A5A5;
    font-weight: 700;
    font-size: 1.2em;
}

.ul-charging-second {
    margin-left: 3%;
    height: 54px;
    width: 92%;
    background: rgba(214, 214, 214, 0.16);
}

.ul-charging-second li {
    white-space: nowrap;
}

.li-charling-2 {
  padding-left: 5em;
}

.li-charling-1 {
    padding-left: 1em;
}

.ul-charging-second img {
    height: 54px;
    padding-top: 8px;
}

.tumbler {
    padding-left: 45%;
    padding-top: 1em;
    padding-bottom: 1.5em;
    border-bottom: 1px solid black;
}



.form-power-1, .form-power-2 {
    display: flex;
    flex-direction: row;
    margin-left: 3%;
}

.form-power-2 {
    margin-top: 3em;
}

.form-power-item {
    display: flex;
    flex-direction: column;
    margin-left: 5em;
}

.form-power-item label {
    font-size: 1.3em;
    font-weight: 700;
    margin-bottom: 6px;
}

.form-power-item input {
    height: 60px;
    border-radius: 10px;
    border: 1px solid black;
}


.input-power-last {
    background-image: url(../img/Rating.svg);
    background-repeat: no-repeat;
    background-position: center;
    width: 150px;
}

.image-url {
    margin-left: 6%;
    margin-right: 1.5em;
    font-size: 1.3em;
    font-weight: 700;

}

.image-line {
    font-size: 1.3em;
    font-weight: 400;
    margin-right: 8em;
}

.form-power-2 img {
    margin-right: 2rem;
}

/*Сторінка Invite Users 1*/
.general-information {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.general-information p {
    display: flex;
    flex-direction: column;
}

.general-information-1 {
    width: 40%;
}

.general-information-2 {
    width: 40%;
    height: 60vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.h2-form-general {
    font-weight: 400;
    margin-left: 6%;
    color: #969697;
}

.label-form-general {
    font-weight: 400;
    font-size: 1.2em;
    color: #969697;
}

.input-form-general {
    height: 58px;
    border: 1px solid #969697;
}

.div-form-radio {
    margin-left: 50%;
}

.label-general-radio {
    font-weight: 400;
    font-size: 1.2em;
    color: #969697;
}

/*Стилізація радіокнопок*/

.radio {
    margin: 1.5em;  
}

.label-form-general {
    white-space: nowrap;
    padding-left: 2%;
}

.span-radio {
    position: relative;
    right: 1em;
    top: 0.5em;
}



#all-permissions {
    display: none;
}

#all-permissions + label > .span-radio {
    display: inline-block;
    width: 38px;
    height: 38px;
    border: 1px solid #969697;
    border-radius: 50px;
    background: white;
}


#all-permissions:checked + label {
    color: #000;
}

#all-permissions:checked+label >.span-radio{
    /*background: #000;*/
    background-image: url(../img/Radio.svg);
    background-repeat: no-repeat;
    background-position: center;
}

#basic-permissions {
        display: none;
    }

#basic-permissions +label>.span-radio {
    display: inline-block;
    width: 38px;
    height: 38px;
    border: 1px solid #969697;
    border-radius: 50px;
    background: white;
}

#basic-permissions:checked+label>.span-radio {
    /*background: #000;*/
    background-image: url(../img/Radio.svg);
    background-repeat: no-repeat;
    background-position: center;
}

#basic-permissions:checked + label {
    color: #000;
}

.div-form-radio {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 7em;
}
